---
name: Bug report
about: Submit the behavior you consider invalid

---

<!--
If you have all reproduction steps with a complete sample app, please share as many details as possible in the sections below.

Make sure that you tried using the latest TestCafe version (https://github.com/DevExpress/testcafe/releases), where this behavior might have been already addressed.

Before submitting an issue, please check CONTRIBUTING.md and existing issues in this repository (https://github.com/DevExpress/testcafe/issues) in case a similar issue exists or was already addressed. This may save your time (and ours).
-->

### What is your Test Scenario?
<!-- Describe what you'd like to test. -->
 
### What is the Current behavior?
<!-- Describe the behavior you see and consider invalid. -->
 
### What is the Expected behavior?
<!-- Describe what you expected to happen. -->
 
### What is your web application and your TestCafe test code?
<!-- Share a public accessible link to your application or provide a simple app which we can run. -->
 
Your website URL (or attach your complete example):

<details>
<summary>Your complete test code (or attach your test files):</summary>

<!-- Paste your test code here: --> 
```js
 
```
</details>

<details>
<summary>Your complete test report:</summary>

<!-- Paste your complete result test report here (even if it is huge): -->
```

```
</details>

<details>
<summary>Screenshots:</summary>
<!-- If applicable, add screenshots to help explain the issue. -->

```

```
</details>

### Steps to Reproduce:
<!-- Describe what we should do to reproduce the behavior you encountered. -->

1. Go to my website ...
3. Execute this command...
4. See the error...
 
### Your Environment details:
 
* testcafe version:                   <!-- run `testcafe -v` -->
* node.js version:                    <!-- run `node -v` -->
* command-line arguments:  <!-- example: "testcafe ie,chrome -e test.js" -->
* browser name and version: <!-- example: IE 11, Chrome 69, Firefox 100, etc. -->
* platform and version:          <!-- example: "macOS 10.14, Windows, Linux Ubuntu 18.04.1, iOS 12 -->
* other:                                   <!-- any notes you consider important -->
